struct frag_in {
	   float2 pos : POSITION0;
	   float2 tex_coord : TEXCOORD0;
};

Texture2D<float4> tex : register(t0);
SamplerState tex_sampler : register(s0);

float4 main(frag_in input) : SV_Target0 {
	   return tex.Sample(tex_sampler, input.tex_coord);
}